Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1363939 - [Docs] [Operational Tools] Duplicates port for Uchiwa and Grafana
Summary: [Docs] [Operational Tools] Duplicates port for Uchiwa and Grafana
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation
Version: 8.0 (Liberty)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ga
: 9.0 (Mitaka)
Assignee: Martin Lopes
QA Contact: Don Domingo
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-04 04:32 UTC by Summer Long
Modified: 2016-09-06 11:33 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 11:33:38 UTC


Attachments (Terms of Use)

Description Summer Long 2016-08-04 04:32:50 UTC
Description of problem:

The interface for Availability Monitoring, Uchiwa, and the interface for Performance Monitoring, Grafana are both given port 3000 for access.
Should change one of them so that both types can be run on one OpTools machine.

To update the grafana port:
* Edit /etc/grafana/grafana.ini, and change 'http_port'. 
* Change the firewalld command to match, reload the firewall, and restart servers.

Version-Release number of selected component (if applicable):
8.0

Expected results (example):
Uchiwa: http://OPTOOL_URL:3000/
Grafana: http://OPTOOL_URL:3030/

Additional info:
https://access.redhat.com/documentation/en/red-hat-openstack-platform/8/single/red-hat-openstack-platform-operational-tools/#installing_the_performance_monitoring_suite

Comment 2 Andrew Dahms 2016-08-05 01:35:26 UTC
Assigning to Martin for review.

Comment 5 Summer Long 2016-08-05 04:52:27 UTC
Thx, Martin. Looks like these also need to be updated to 3030 for Grafana:

* Go to http://PERFORMANCE_MONITORING_HOST:3000/. You should be presented with the Grafana login page.

* After a while, you should see metrics in the Graphite web user interface running at http://PERFORMANCE_MONITORING_HOST:3000/.

thanks, s

Comment 7 Summer Long 2016-08-05 06:08:03 UTC
Yep, looks good, thx!

Comment 10 Don Domingo 2016-09-06 04:17:19 UTC
Changes up now on portal, setting to VERIFIED.

Comment 11 Andrew Dahms 2016-09-06 11:33:38 UTC
This content is now live on the Customer Portal.

Closing.


Note You need to log in before you can comment on or make changes to this bug.